#
# Conditional build:
%bcond_without	ocaml_opt	# native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), update when upstream will support it
%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	Zlib binding for OCaml
Summary(pl.UTF-8):	Wiązania Zlib dla OCamla
Name:		ocaml-zip
Version:	1.11
%define	gitver	rel111
Release:	1
License:	LGPL v2.1 with OCaml linking exception
Group:		Libraries
#Source0Download: https://github.com/xavierleroy/camlzip/tags
Source0:	https://github.com/xavierleroy/camlzip/archive/%{gitver}.tar.gz?/camlzip-%{gitver}.tar.gz
# Source0-md5:	ee7a2ecf4801226003ba2cd1b1f11d4d
URL:		https://xavierleroy.org/software.html
BuildRequires:	ocaml >= 1:4.07
BuildRequires:	ocaml-findlib
BuildRequires:	zlib-devel >= 1.1.3
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Objective Caml library provides easy access to compressed files
in ZIP and GZIP format, as well as to Java JAR files. It provides
functions for reading from and writing to compressed files in these
formats.

This package contains files needed to run bytecode executables using
this library.

%description -l pl.UTF-8
Biblioteka ta pozwala na dostęp do plików w formacie ZIP i GZIP jak
również dla plików JAR Javy z poziomy OCamla. Udostępnia ona funkcje
do czytania i pisania do plików w tych formatach.

Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	Zlib binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania Zlib dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This Objective Caml library provides easy access to compressed files
in ZIP and GZIP format, as well as to Java JAR files. It provides
functions for reading from and writing to compressed files in these
formats.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
Biblioteka ta pozwala na dostęp do plików w formacie ZIP i GZIP jak
również dla plików JAR Javy z poziomy OCamla. Udostępnia ona funkcje
do czytania i pisania do plików w tych formatach.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%prep
%setup -q -n camlzip-%{gitver}

%build
%{__cc} %{rpmcflags} %{rpmcppflags} -fPIC -c zlibstubs.c

%{__make} allbyt %{?with_ocaml_opt:allopt}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

# useless in rpm
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs/*.so.owner

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README.md
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllcamlzip.so
%if %{with ocaml_opt}
%{_libdir}/ocaml/zip/*.cmxs
%endif

%files devel
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/camlzip
%{_libdir}/ocaml/camlzip/META
%dir %{_libdir}/ocaml/zip
%{_libdir}/ocaml/zip/META
%{_libdir}/ocaml/zip/*.cma
%{_libdir}/ocaml/zip/*.cmi
%{_libdir}/ocaml/zip/*.cmt
%{_libdir}/ocaml/zip/*.cmti
%{_libdir}/ocaml/zip/*.mli
%{_libdir}/ocaml/zip/libcamlzip.a
%if %{with ocaml_opt}
%{_libdir}/ocaml/zip/*.cmx
%{_libdir}/ocaml/zip/*.cmxa
%{_libdir}/ocaml/zip/zip.a
%endif
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-zip.git;a=log;h=master

* Sat Nov 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 23307fd
- updated to 1.11

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 2ea9614
- rebuild with separate debuginfo build-ids

* Sat Mar 27 2021 Jan Rękorajski <baggins@pld-linux.org> 06ca6a6
- udpate META file location
- rel 3

* Wed Mar 24 2021 Jan Rękorajski <baggins@pld-linux.org> 7491c19
- package new files
- rel 2

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 4c61271
- up to 1.07

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 48279fd
- rebuild with ocaml 4.04.1
- release 6 (by relup.sh)

* Mon Mar 21 2016 Jan Rękorajski <baggins@pld-linux.org> 066402f
- release 5 (by relup.sh)

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 4188255
- add ocaml_opt bcond
- rel 4

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 09b29e4
- rebuild with ocaml 4.02
- release 3 (by relup.sh)

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 58067d6
- rel 2
- package zlib stubs

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 50ad57f
- 1.04

* Tue Dec 25 2007 zbyniu <zbyniu@pld-linux.org> 20cdf07
- up to 1.03

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5107d90
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ab389ca
- converted to UTF-8

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> 938e1f7
- rel 9 (rebuild with ocaml-3.09.2)

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> 90925e4
- ocaml epoch is 1

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> bff7620
- ocaml 3.09.1

* Sat Dec 10 2005 Jan Rękorajski <baggins@pld-linux.org> b964fb9
- release 6 for ocaml 3.09.0

* Tue Oct 11 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> b424502
- release up to rebuild with new ocaml

* Sat May 21 2005 ankry <ankry@pld-linux.org> a888a7f
- rel. 4

